net.sf.jasperreports.components.map.type

## Enum MapTypeEnum

- java.lang.Object
- - java.lang.Enum<MapTypeEnum>
  - - net.sf.jasperreports.components.map.type.MapTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MapTypeEnum>, JREnum, NamedEnum

      public enum MapTypeEnum
      extends java.lang.Enum<MapTypeEnum>
      implements JREnum

  Version:
    $Id: MapTypeEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HYBRID` The hybrid type
    `ROADMAP` The roadmap type
    `SATELLITE` The satellite map type
    `TERRAIN` The terrain map type

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapTypeEnum` | `getByName(java.lang.String name)`
    `static MapTypeEnum` | `getByValue(byte value)`
    `static MapTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static MapTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MapTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROADMAP

          public static final MapTypeEnum ROADMAP

      The roadmap type

    - #### SATELLITE

          public static final MapTypeEnum SATELLITE

      The satellite map type

    - #### TERRAIN

          public static final MapTypeEnum TERRAIN

      The terrain map type

    - #### HYBRID

          public static final MapTypeEnum HYBRID

      The hybrid type

  - ### Method Detail

    - #### values

          public static MapTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapTypeEnum c : MapTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static MapTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static MapTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static MapTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com